#
# spec file for package blabel
#
# Copyright (c) 2016 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           blabel
Version:        1.03
Release:        1699.2.pm.11
Summary:        Labeling program for the Brother P-touch series
License: GPL-2.0
Group:          Productivity/Graphics/Other
Url:            https://apz.fi/blabel
Source0:        blabel-v1.03-build-28.tar.bz2
BuildArch:      noarch
BuildRequires:  update-desktop-files
Requires:       cups-client
Requires:       perl(File::Temp)
Requires:       perl(GD)
Requires:       perl(Getopt::Long)
Requires:       perl(Glib)
Requires:       perl(Gtk3)
Requires:       perl(Net::CUPS)
Requires:       perl(POSIX)
Requires:       perl(Pango)
Requires:       perl(Pod::Usage)

%description
A Labeling program for the Brother P-touch series.

Supports PT-1230PC and PT-2430PC partially (only up
to 12mm tapes, no auto cutting yet).

Currently only tested with 9mm and 12mm tapes.
Hardcoded to only work with CUPS.
No graphics printing. 

%prep
%setup -q -c -T -a 0

%build

%install
mkdir -p %buildroot%_bindir \
         %buildroot%_mandir/man1 \
         %buildroot%_datadir/applications \
         %buildroot%_datadir/%name \
         %buildroot%_datadir/pixmaps
install -m0755 %name %name-print -t %buildroot%_bindir
install -m0644 man/man1/*.1* -t %buildroot%_mandir/man1
install -m0644 %name.desktop -t %buildroot%_datadir/applications
install -m0644 %name.glade -t %buildroot%_datadir/%name
install -m0644 %name.png -t %buildroot%_datadir/pixmaps
%suse_update_desktop_file %name 2DGraphics

%files
%doc doc/README
%_bindir/*
%_mandir/man1/*.1*
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png

%changelog
* Thu Jun  9 2016 aloisio@gmx.com
- Initial version
